player_vectormap_feature_data Struct Reference

Vectormap feature data. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | name_count
| Length of name in bytes. More...
char * | name
| Identifier for the geometric shape. More...
uint32_t | wkb_count
| Length of data in bytes. More...
uint8_t * | wkb
| Well known binary describing the geometric shape. More...
uint32_t | attrib_count
| Length of data in bytes. More...
char * | attrib
| Attrib data for the feature. More...

## Detailed Description

Vectormap feature data.

## Member Data Documentation

char* player_vectormap_feature_data::attrib

Attrib data for the feature.

uint32_t player_vectormap_feature_data::attrib_count

Length of data in bytes.

char* player_vectormap_feature_data::name

Identifier for the geometric shape.

uint32_t player_vectormap_feature_data::name_count

Length of name in bytes.

uint8_t* player_vectormap_feature_data::wkb

Well known binary describing the geometric shape.

uint32_t player_vectormap_feature_data::wkb_count

Length of data in bytes.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45